Subject: bug#51638: 26.1; Writing Romanian Characters

From: Eli Zaretskii <[email-masked]>
Date: Sun, 07 Nov 2021 12:48:59 +0200

> Cc: [email-masked]
> From: [email-masked]
> Date: Sun, 7 Nov 2021 02:03:12 +0100
> 
> Eli Zaretskii wrote:
> >
> > Please try the patch below.  After applying the patch, typing "s ,"
> > will show two variants in the echo-area, and you can choose between
> > them with C-f/C-b and the arrow keys.
> >
> > Is that a satisfactory solution?
> 
> The solution is satisfactory for personal use. Thank you very much.
> But there the following issues:
> 
> 1) The patch is not complete for Romanian. A solution for Romanian
>      should also handle the T and t letters. I send you attached a patch
>      based on yours that handles also these letters

Thanks, I installed that.

> 2) For example if I try to type the Romanian word "Șes" then when I
>      try  to write the "S WITH COMMA", after I type "S" ","  and finally
>      a "C-f" to select my letter then best for a user would to type the
>      next letter  that follows in his/her word ("e" in this case). But it
>      doesn't work. If the user types "e" then the first choice is inserted
>      in the buffer. The user must select the second letter with an ENTER.

That's how Emacs input methods work when there's more than one
translation of what you typed.

> 3) For general use a better solution should exist because it is not
>      very user  friendly to type so many characters to select your letter.
>      Probably a true  Romanian language environment based on
>      ISO-8859-16 should be provided.  The actual choice of ISO-8859-2
>      for the Romanian environment probably is not the best.
> 
>     For example I will modify your patch to insert my ISO-8859-16
>     characters instead of those in ISO-LATIN-2. Because if I write Romanian
>     I never have to interact with the s an t variants in ISO-LATIN-2.

Patches to add such an language-environment will be welcome.

Thanks.